Subject: Re: bug#8638: 24.0.50; Imenu should not include vacuous defvars

From: Chong Yidong <[email-masked]>
Date: Mon, 06 Aug 2012 11:43:16 +0800

"Drew Adams" <[email-masked]> writes:

> OK, thanks.  But I wonder why you treated defvar differently from
> defconst, defconstant, defcustom, defparameter, and
> define-symbol-macro here.  Shouldn't the same thing apply to them?

There is no such thing as (defconst foo), or (defcustom foo); the second
argument is non-optional.  So the reasoning which was used for defvar,
i.e. that a defvar with an omitted second arg is commonly used just to
silence the compiler, does not apply.